package com.ejie.ab04b.exception;

/**
 * Excepcion que indica un error en la ejecucion de una invocacion a un servicio
 * web de Dokusi
 * 
 * @author Aitor_Roncero
 * 
 */
public class DokusiException extends AB04BException {

	private static final long serialVersionUID = -1343368454L;

	/**
	 * Instantiates a new dokusi exception.
	 * 
	 *  message            String
	 *
	 * @param message the message
	 */
	public DokusiException(String message) {
		super(message);
	}

	/**
	 * Instantiates a new dokusi exception.
	 * 
	 *  paramThrowable            Throwable
	 *
	 * @param paramThrowable the param throwable
	 */
	public DokusiException(Throwable paramThrowable) {
		super(paramThrowable);
	}

	/**
	 * Instantiates a new dokusi exception.
	 * 
	 *  paramThrowable            Throwable
	 *  message            String
	 *
	 * @param paramThrowable the param throwable
	 * @param message the message
	 */
	public DokusiException(Throwable paramThrowable, String message) {
		super(paramThrowable, message);
	}

}
